# Uses of Interface
org.eclipse.ui.texteditor.IMarkerUpdater

Packages that use IMarkerUpdater
Package
Description
org.eclipse.ui.texteditor
Provides a framework for text editors obeying to the desktop rules.

## Uses of IMarkerUpdater in org.eclipse.ui.texteditor

Classes in org.eclipse.ui.texteditor that implement IMarkerUpdater
Modifier and Type
Class
Description
`final class`
`BasicMarkerUpdater`
Updates a marker's positional attributes which are start position, end position, and line number.
Methods in org.eclipse.ui.texteditor with parameters of type IMarkerUpdater
Modifier and Type
Method
Description
`protected void`
AbstractMarkerAnnotationModel.`addMarkerUpdater(IMarkerUpdater markerUpdater)`
Adds the given marker updater to this annotation model.
`protected void`
AbstractMarkerAnnotationModel.`removeMarkerUpdater(IMarkerUpdater markerUpdater)`
Removes the given marker updater from this annotation model.